#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "SEModule_base.h"

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	void open();
	static bool getModuleProperties (SEModuleProperties* properties);
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);

private:
	float *input1_buffer; // pointer to circular buffer of samples
	float *input2_buffer;
	float *input3_buffer;
	float *input4_buffer;
	float *input5_buffer;


	float *output1_buffer;
	bool mybool;

#define PN_INPUT1 0
#define PN_INPUT2 1
#define PN_INPUT3 2
#define PN_INPUT4 3
#define PN_INPUT5 4
#define PN_BOOL 5
#define PN_OUTPUT1 6

bool mem;

	
};
#endif
