#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"

#include <assert.h>

#include <stdio.h> // files
#include <io.h>

#include <stdlib.h>
#include <string.h>
#include <process.h>
#include <wchar.h>

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadarray();
	void doaway();
private:
    float *input1_buffer;
	

	
    
    char *text_input;
	bool admin;
	
#define MAX_FILENAME_LENGTH 400

char path[MAX_FILENAME_LENGTH];

state_type in_stat;

//SMIDI File out
errno_t err;
FILE *smidifileout;
char full_path[MAX_FILENAME_LENGTH];
char smidi_filename[MAX_FILENAME_LENGTH];
bool isnew;
// diagnose
errno_t err2;
FILE *textfile;
char text_filename[MAX_FILENAME_LENGTH];
char text[400];

//core

bool PLAY;

#define PN_MIDI_IN  0
#define PN_THRU     1
#define PN_MIDI_OUT 2


#define SYSTEM_MSG		        0xF0
#define NOTE_OFF                0x80
#define NOTE_ON                 0x90

#define BBB 1000
char buffer[BBB];
char thisSEM[44];


struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};



	

};
#endif
