#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"

#include <assert.h>

#include <stdio.h> // files
#include <io.h>

#include <stdlib.h>
#include <string.h>
#include <process.h>
#include <wchar.h>

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadarray();
	void doaway();
private:
   #define MAX_FILENAME_LENGTH 400

char path[MAX_FILENAME_LENGTH];
char full_path[MAX_FILENAME_LENGTH];
char smidi_filename[MAX_FILENAME_LENGTH];
char text_filename[MAX_FILENAME_LENGTH];
char text[400];


state_type in_stat;

//SMIDI File out
errno_t err;// = -1;
FILE *smidifileout;//  = NULL;
FILE *textfile;// = NULL;
bool isnew;// = false;
// diagnose
errno_t err2;// = -1;


//core
int i , k;


	float *input1_buffer;

	//float *output1_buffer;

	float *o[13];
	
    
    char *text_input;
	bool admin;

	int stat;
    int note;

float *O[13];
bool B[13];
	
#define PN_MIDI_IN  0

#define PN_INPUT    1

#define PN_1        2
#define PN_2        3
#define PN_3        4
#define PN_4        5

#define PN_5        6
#define PN_6        7
#define PN_7        8
#define PN_8        9

#define PN_9        10
#define PN_10       11
#define PN_11       12
#define PN_12       13

#define PN_MIDI_OUT 14
#define erst 23
#define letzt 97

#define SYSTEM_MSG		        0xF0
#define NOTE_OFF                0x80
#define NOTE_ON                 0x90




char buff[10];

struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};


};
#endif
