#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "SEModule_base.h"
#include <stdio.h>  // files

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();

    void diag(char * melde);
	void loadarray();
private:



#define PN_PLAY 0
#define PN_STOP 1
#define PN_KICK 2
#define PN_TEXT 3
#define PN_LOOP 4
#define PN_MIDI_OUT 5
#define PN_ADMIN 6




struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};









    float *input1_buffer; // pointer to circular buffer of samples
	float *input2_buffer;
	float *input3_buffer;
	
    int stat;// on off ...
    int chan;// 0 = channel 1
	int b2;//pitch     was = ( midi_msg / 0x100 ) & 0xff;
	int b3;//velocity  was = ( midi_msg / 0x10000 ) & 0xff;
    unsigned long this_midi;
	short loop;
	bool admin;

    char *text_input;

errno_t err;
errno_t err0;
errno_t err2;

FILE *smidi_rec_file ;
FILE *smidi_play_file ;
FILE *textfile ;
FILE *stream ;

bool isnew ;
bool isnew0 ;
bool didonce ;
bool got_one ;

int done ;


unsigned long flang, taki, last_take;
unsigned long pc , md;
unsigned long * tak_time;
unsigned long * tak_midi;
int fh;
state_type in_stat;

unsigned long time1;
unsigned long midi;
unsigned long start_time;
unsigned long pause_time;
struct NOTES 
{  
   unsigned long r_time;
   unsigned long r_midi;
} note;

NOTES * noten;

bool memin1;
bool level1;

bool canload;      
bool PLAY;
bool waspause;

bool wasoff;


char path[400];
char full_path[400];
char smidi_rec_name[400];
char text[400];
char smidi_play_name[400];
char text_filename[400];


};
#endif
