#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "SEModule_base.h"
#include <stdio.h> // files

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
private:
    float *input1_buffer;
	
    char *text_input;
	bool admin;
	//
//core
   unsigned long start_time;
   unsigned long r_time;
   unsigned long r_midi;
   unsigned long pause_time; 
   unsigned long pause_start;
   unsigned long pause_end;
bool REC,waspause;
state_type in_stat;

bool isnew;// = false;
errno_t err2;// = -1;
errno_t err;// = -1;
FILE *textfile;
FILE *smidifileout;
char text[400];
#define MAX_FILENAME_LENGTH 400


char path[MAX_FILENAME_LENGTH];
char full_path[MAX_FILENAME_LENGTH];
char smidi_filename[MAX_FILENAME_LENGTH];
char text_filename[MAX_FILENAME_LENGTH];
//

struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};
};
#endif
